import { createLogger, transports, format } from "winston";
import { Account } from "./interface/account";
import { Quote } from "./interface/quote"

export interface Exchange {
    name: string;

    fetchAccounts: () => Account[];
    fetchQuote: (symbol: string) => Quote;
}


const logger = createLogger({
    transports: [new transports.Console()],
    format: format.combine(
      format.colorize(),
      format.timestamp(),
      format.printf(({ timestamp, level, message }) => {
        return `[${timestamp}] ${level}: ${message}`;
      })
    ),
  });

logger.info("Hello world!");
