export class Position {
    readonly lastTrade: number;
    readonly lastTradeTime: Date;
    
    readonly change: number;
    readonly changePercent: number;

    readonly earningsPerShare: number;

    readonly marketCap: number;

    readonly symbol: string;

    constructor(lastTrade: number, lastTradeTime: Date, change: number, changePercent: number, earningsPerShare: number, marketCap: number, symbol: string) {
        this.lastTrade = lastTrade;
        this.lastTradeTime = lastTradeTime;
        this.change = change;
        this.changePercent = changePercent;
        this.earningsPerShare = earningsPerShare;
        this.marketCap = marketCap;
        this.symbol = symbol;
    }
}

export class Portfolio {
    readonly positions: Position[];

    constructor(positions: Position[]) {
        this.positions = positions;
    }
}

export interface PortfolioProvider {
    readonly fetchPortfolio: () => Promise<Portfolio>;
}
